WEECHAT(1)

NOME
weechat - the extensible chat client

SYNOPSIS

    weechat [-a|--no-connect] [-d|--dir <path>] [-p|--no-plugin] [-r|--run-command <command>] [-s|--no-script] [--upgrade] [plugin:option...]
    weechat [-c|--colors]
    weechat [-h|--help]
    weechat [-l|--license]
    weechat [-v|--version]

DESCRIPTION

WeeChat (Wee Enhanced Environment for Chat) è un client di chat libero, veloce e leggero, realizzato per diversi sistemi operativi. It is highly customizable and extensible with scripts.

OPTIONS

-a, --no-connect
    Disabilita la connessione automatica ai server all’avvio di WeeChat.

-c, --colors
    Mostra i colori prefefiniti nel terminale.

-d, --dir <path>
    Imposta una directory come home per WeeChat (utilizzata per i file di configurazione, log, plugin e script dell’utente), il valore predefinito è ~/.weechat (nota: directory viene creata se non trovata da WeeChat). If this option is not given, the environment variable WEECHAT_HOME is used (if not empty).

-h, --help
    Mostra l’aiuto.

-l, --license
    Mostra la licenza di WeeChat.

-p, --no-plugin
    Disabilita il caricamento automatico dei plugin.

-r, --run-command <command>
    Esegue un comando(i) dopo l’avvio (più comandi possono essere separati da punto e virgola).

-s, --no-script
    Disabilita il caricamento automatico dei script.

--upgrade
    Upgrade WeeChat using session files generated with command /upgrade -quit.

-v, --version
    Mostra la versione di WeeChat.

plugin:option
    Opzione per il plugin.

PLUGIN OPTIONS

For complete doc on plugin options, please look at plugins documentation in WeeChat user’s guide.

With irc plugin, you can connect to temporary server with an URL like:

    irc[6][s]://[[nickname][:password]@]server[:port][/#channel1[,#channel2...]]

To join WeeChat IRC channel support with nick "mynick":

    irc://mynick@chat.freenode.net/#weechat

IPv6 address can be enclosed in brackets to add a port after address, for example:

    irc://mynick@[2001:db8:0:85a3::ac1f:8001]:6668/#test

FILES

$HOME/.weechat/weechat.conf
    main WeeChat configuration file

$HOME/.weechat/plugins.conf
    plugins configuration file

$HOME/.weechat/sec.conf
    configuration file with secured data

$HOME/.weechat/alias.conf
    configuration file for alias plugin

$HOME/.weechat/aspell.conf
    configuration file for aspell plugin

$HOME/.weechat/charset.conf
    configuration file for charset plugin

$HOME/.weechat/exec.conf
    configuration file for exec plugin

$HOME/.weechat/irc.conf
    configuration file for irc plugin

$HOME/.weechat/logger.conf
    configuration file for logger plugin

$HOME/.weechat/relay.conf
    configuration file for relay plugin

$HOME/.weechat/script.conf
    configuration file for script plugin

$HOME/.weechat/trigger.conf
    configuration file for trigger plugin

$HOME/.weechat/xfer.conf
    configuration file for xfer plugin

$HOME/.weechat/weechat.log
    WeeChat log file

AUTHORS

This manpage was written by Sébastien Helleu <flashcode@flashtux.org>.

COPYRIGHT

WeeChat is written by Sébastien Helleu and contributors (complete list is in the AUTHORS.asciidoc file).

Copyright © 2003-2015 Sébastien Helleu <flashcode@flashtux.org>

WeeChat is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3 of the License, or (at your option) any later version.

Please read the COPYING file for more information.

Web: https://weechat.org/

SUPPORT / REPORTING BUGS

For help or a bug report: https://weechat.org/dev/support